# PSF-LoginServer - master - net.psforever.objects.equipment.EquipmentSlot
PSF - LoginServer - master - net.psforever.objects.equipment.EquipmentSlot
Keywords: PSF LoginServer master net.psforever.objects.equipment.EquipmentSlot

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package equipment
  Definition Classes
    objects
- Ammo
- CItem
- ChargeFireModeDefinition
- EffectTarget
- Equipment
- EquipmentSize
- EquipmentSlot
- FireModeDefinition
- FireModeSwitch
- InfiniteFireModeDefinition
- JammableBehavior
- JammableMountedWeapons
- JammableUnit
- JammingUnit
- Kits
- PelletFireModeDefinition
- RemoteUnit
- SItem
- TargetValidation

c

net.psforever.objects.equipment

# EquipmentSlot 

###
Companion object EquipmentSlot

#### class EquipmentSlot extends AnyRef

A size-checked unit of storage (or mounting) for `Equipment`. Unlike inventory space, anything placed in "slot" space is expected to be visible to the game world in some fashion.

Source
  EquipmentSlot.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
OffhandEquipmentSlot, InventoryEquipmentSlot

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. EquipmentSlot
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new EquipmentSlot()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def Equipment: Option[Equipment]

   Determine what `Equipment` is stowed in the given position.

   Determine what `Equipment` is stowed in the given position.

   returns

     the `Equipment` in this slot

5.  def Equipment_=(assignEquipment: Option[Equipment]): Option[Equipment]

   Attempt to stow an item at the given position.

   Attempt to stow an item at the given position.

   assignEquipment

     the change in `Equipment` for this slot

   returns

     the `Equipment` in this slot

6.  def Equipment_=(assignEquipment: Equipment): Option[Equipment]

   Attempt to stow an item at the given position.

   Attempt to stow an item at the given position.

   assignEquipment

     the change in `Equipment` for this slot

   returns

     the `Equipment` in this slot

7.  def Size: EquipmentSize.Value
8.  def Size_=(assignSize: EquipmentSize.Value): EquipmentSize.Value
9.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
10.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
11.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
12.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
13.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
14.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
16.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
17.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
21.  def toString(): String
    Definition Classes
      AnyRef → Any
22.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
23.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
24.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped